/*
 * IcmpFatalErrorException.java 
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.icmp.jni.exception;

import com.veraxsystems.icmp.jni.exception.IcmpException;


/**
 * Exception used in by JNI DLL module in case it is not able to communicate with
 * Java, especially it is not able to create Java objects. 
 */
public class IcmpFatalErrorException extends IcmpException 
{
   /**
    * The exception constructor. As the addition to <code>Exception</code>
    * the <code>erroCode</code> is handled. 
    * @param errorCode
    * @param nativeErrorString
    */
   /**
    * 
    * @param errorString
    */
   public IcmpFatalErrorException(String errorString) {
      super(errorString);
   } /* IcmpFatelErrorException */
}
