/*
 * PingException.java 
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.icmp.ping.exception;

import com.veraxsystems.icmp.ping.Ping;


/**
 * The common exception definition for {@link Ping} class. 
 */
public class PingException extends Exception
{
   /**
    * The exception constructor.
    * @param info the description of error that caused this exception
    * @param ex exception propagated  
    */
   PingException(String info, Exception ex)
   {
      super(info, ex);
   }
}
