@if DEFINED JAVA_HOME (
   goto :compile
) ELSE (
  goto :javaHomeError
)
:compile:
rmdir /S /Q target
mkdir target\classes
dir /s /B src\main\*.java > java.files
"%JAVA_HOME%\bin\javac.exe" -sourcepath src\main\java -d target\classes @java.files
@if ERRORLEVEL 1 goto :compilationError
"%JAVA_HOME%\bin\jar.exe" -cvf target\ping.jar -C target\classes com
@if ERRORLEVEL 1 goto :compilationError
@echo.
@echo Compilation finished
@echo.
@exit /B 0

:javaHomeError
@echo.
@echo The JAVA_HOME environment variable must be specified.
@echo.
@exit /B 1

:compilationError
@echo.
@echo Compilation failed
@echo.
@exit /B 1

